IBSFPlatform (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.core.IBSFPlatform interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.core
Interface IBSFPlatform

    public interface IBSFPlatform

This interface defines a single BSF platform.

Once a platform is available from a catalog, it is contained in a hierarchy of platforms, terminating at built-in platforms (like ARMV5).

A platform's "customized platform name" in `getCustomizedPlatformName()` tells what platform this one customizes, i.e. the parent platform. If the parent is also a BSF platform, then that will be available from `getCustomizedPlatform()`.

Method Summary
`IPath` | `getBSFPath()` Get the full filesystem path to the BSF used.
`IBSFCatalog` | `getCatalog()` Get the catalog this platform is contained in.
`ETristateFlag` | `getCompileWithParent()` Get the compile with parent flag for this BSF in isolation.
`java.util.Map<java.lang.String,java.lang.String>` | `getCustomizationOptions()` Get the map of customization options for this BSF in isolation.
`IBSFPlatform` | `getCustomizedPlatform()` Get the customized (parent) platform, if it is a BSF platform.
`java.lang.String` | `getCustomizedPlatformName()` Get the name of the customized platform, which matches the case of a known platform if possible, else is all-caps.
`boolean` | `getEffectiveCompileWithParent()` Get the disposition of the "compile with parent" setting, as inherited by parents or specified in this platform.
`java.lang.String` | `getName()` Get the platform's name, as seen in the .bsf filename.
`IPath` | `getSystemIncludePath()` Get the system include path for this variant.
`IPath[]` | `getSystemIncludePaths()` Get the system include file paths needed for this variant and all its parents.
`boolean` | `isVariant()` Tell if the platform is a variant (but not a virtual variant).
`boolean` | `isVirtualVariant()` Tell if the platform is a virtual variant

Method Detail

### getCatalog

    IBSFCatalog getCatalog()

  Get the catalog this platform is contained in.

  Returns:
    IBSFCatalog, never null

### getName

    java.lang.String getName()

  Get the platform's name, as seen in the .bsf filename.

  Returns:
    name, never null

### getBSFPath

    IPath getBSFPath()

  Get the full filesystem path to the BSF used.

  This may be used to retrieve the `IBSFView` via `EpocEnginePlugin#runWithBSFView(IPath, com.nokia.carbide.cpp.epoc.engine.model.IViewConfiguration, com.nokia.carbide.cpp.epoc.engine.IBSFViewRunnable)` to get more information about the BSF.

  Returns:
    path, never null

### getCustomizedPlatformName

    java.lang.String getCustomizedPlatformName()

  Get the name of the customized platform, which matches the case of a known platform if possible, else is all-caps.

  Returns:
    platform name or null

### getCustomizedPlatform

    IBSFPlatform getCustomizedPlatform()

  Get the customized (parent) platform, if it is a BSF platform.

  Returns:
    parent, or null for non-BSF platform

### getSystemIncludePath

    IPath getSystemIncludePath()

  Get the system include path for this variant.

  Returns:
    full filesystem path to the include directory for the variant, which may be the parent/customized platform's directory for virtual variant, or null if no non-virtual parent exists.

### getSystemIncludePaths

    IPath[] getSystemIncludePaths()

  Get the system include file paths needed for this variant and all its parents. This does not include the epoc32\include\oem directory, which is presumed for all platforms.

  Returns:
    array of full filesystem paths, never null

### isVariant

    boolean isVariant()

  Tell if the platform is a variant (but not a virtual variant).

  Returns:

### isVirtualVariant

    boolean isVirtualVariant()

  Tell if the platform is a virtual variant

  Returns:

### getCompileWithParent

    ETristateFlag getCompileWithParent()

  Get the compile with parent flag for this BSF in isolation.

  Returns:
    `ETristateFlag` describing whether this BSF specifies the flag and if it's COMPILEWITHPARENT or COMPILEALONE

### getEffectiveCompileWithParent

    boolean getEffectiveCompileWithParent()

  Get the disposition of the "compile with parent" setting, as inherited by parents or specified in this platform.

### getCustomizationOptions

    java.util.Map<java.lang.String,java.lang.String> getCustomizationOptions()

  Get the map of customization options for this BSF in isolation.

  Returns:
    map of key to value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD